# bacalhau_apiclient
This page is the reference of the Bacalhau REST API. Project docs are available at https://docs.bacalhau.org/. Find more information about Bacalhau at https://github.com/bacalhau-project/bacalhau.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: ${VERSION}
- Package version: 
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen
For more information, please visit [https://github.com/bacalhau-project/bacalhau](https://github.com/bacalhau-project/bacalhau)

## Requirements.

Python 3.6+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import bacalhau_apiclient 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import bacalhau_apiclient
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import bacalhau_apiclient
from bacalhau_apiclient.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bacalhau_apiclient.ComputeNodeApi(bacalhau_apiclient.ApiClient(configuration))

try:
    # Approves a job to be run on this compute node.
    api_response = api_instance.api_serverapprover()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ComputeNodeApi->api_serverapprover: %s\n" % e)

# create an instance of the API class
api_instance = bacalhau_apiclient.ComputeNodeApi(bacalhau_apiclient.ApiClient(configuration))

try:
    # Returns debug information on what the current node is doing.
    api_response = api_instance.api_serverdebug()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ComputeNodeApi->api_serverdebug: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://bootstrap.production.bacalhau.org:1234/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ComputeNodeApi* | [**api_serverapprover**](docs/ComputeNodeApi.md#api_serverapprover) | **GET** /api/v1/compute/approve | Approves a job to be run on this compute node.
*ComputeNodeApi* | [**api_serverdebug**](docs/ComputeNodeApi.md#api_serverdebug) | **GET** /api/v1/compute/debug | Returns debug information on what the current node is doing.
*MiscApi* | [**api_serverversion**](docs/MiscApi.md#api_serverversion) | **POST** /api/v1/version | Returns the build version running on the server.
*OpsApi* | [**agentalive**](docs/OpsApi.md#agentalive) | **GET** /api/v1/agent/alive | 
*OpsApi* | [**agentdebug**](docs/OpsApi.md#agentdebug) | **GET** /api/v1/agent/debug | Returns debug information on what the current node is doing.
*OpsApi* | [**agentnode**](docs/OpsApi.md#agentnode) | **GET** /api/v1/agent/node | Returns the info of the node.
*OpsApi* | [**agentversion**](docs/OpsApi.md#agentversion) | **GET** /api/v1/agent/version | Returns the build version running on the server.
*OrchestratorApi* | [**orchestratorget_job**](docs/OrchestratorApi.md#orchestratorget_job) | **GET** /api/v1/orchestrator/jobs/{id} | Returns a job.
*OrchestratorApi* | [**orchestratorget_node**](docs/OrchestratorApi.md#orchestratorget_node) | **GET** /api/v1/orchestrator/nodes/{id} | Get an orchestrator node
*OrchestratorApi* | [**orchestratorjob_executions**](docs/OrchestratorApi.md#orchestratorjob_executions) | **GET** /api/v1/orchestrator/jobs/{id}/executions | Returns the executions of a job.
*OrchestratorApi* | [**orchestratorjob_history**](docs/OrchestratorApi.md#orchestratorjob_history) | **GET** /api/v1/orchestrator/jobs/{id}/history | Returns the history of a job.
*OrchestratorApi* | [**orchestratorjob_results**](docs/OrchestratorApi.md#orchestratorjob_results) | **GET** /api/v1/orchestrator/jobs/{id}/results | Returns the results of a job.
*OrchestratorApi* | [**orchestratorlist_jobs**](docs/OrchestratorApi.md#orchestratorlist_jobs) | **GET** /api/v1/orchestrator/jobs | Returns a list of jobs.
*OrchestratorApi* | [**orchestratorlist_nodes**](docs/OrchestratorApi.md#orchestratorlist_nodes) | **GET** /api/v1/orchestrator/nodes | Returns a list of orchestrator nodes.
*OrchestratorApi* | [**orchestratorlogs**](docs/OrchestratorApi.md#orchestratorlogs) | **GET** /api/v1/orchestrator/jobs/{id}/logs | Displays the logs for a current job/execution
*OrchestratorApi* | [**orchestratorput_job**](docs/OrchestratorApi.md#orchestratorput_job) | **PUT** /api/v1/orchestrator/jobs | Submits a job to the orchestrator.
*OrchestratorApi* | [**orchestratorstop_job**](docs/OrchestratorApi.md#orchestratorstop_job) | **DELETE** /api/v1/orchestrator/jobs/{id} | Stops a job.
*OrchestratorApi* | [**orchestratorupdate_node**](docs/OrchestratorApi.md#orchestratorupdate_node) | **POST** /api/v1/orchestrator/nodes | Update an orchestrator node.
*UtilsApi* | [**healthz**](docs/UtilsApi.md#healthz) | **GET** /api/v1/healthz | 
*UtilsApi* | [**home**](docs/UtilsApi.md#home) | **GET** / | 
*UtilsApi* | [**id**](docs/UtilsApi.md#id) | **GET** /api/v1/id | Returns the id of the host node.
*UtilsApi* | [**livez**](docs/UtilsApi.md#livez) | **GET** /api/v1/livez | 
*UtilsApi* | [**node_info**](docs/UtilsApi.md#node_info) | **GET** /api/v1/node_info | Returns the info of the node.

## Documentation For Models

 - [AllOfExecutionAllocatedResources](docs/AllOfExecutionAllocatedResources.md)
 - [AllOfExecutionComputeState](docs/AllOfExecutionComputeState.md)
 - [AllOfExecutionDesiredState](docs/AllOfExecutionDesiredState.md)
 - [AllOfExecutionJob](docs/AllOfExecutionJob.md)
 - [AllOfExecutionPublishedResult](docs/AllOfExecutionPublishedResult.md)
 - [AllOfExecutionRunOutput](docs/AllOfExecutionRunOutput.md)
 - [AllOfGPUVendor](docs/AllOfGPUVendor.md)
 - [AllOfInputSourceSource](docs/AllOfInputSourceSource.md)
 - [AllOfJobState](docs/AllOfJobState.md)
 - [AllOfLabelSelectorRequirementOperator](docs/AllOfLabelSelectorRequirementOperator.md)
 - [AllOfStateExecutionDesiredStateTypeStateType](docs/AllOfStateExecutionDesiredStateTypeStateType.md)
 - [AllOfStateExecutionStateTypeStateType](docs/AllOfStateExecutionStateTypeStateType.md)
 - [AllOfStateJobStateTypeStateType](docs/AllOfStateJobStateTypeStateType.md)
 - [AllOfTaskResources](docs/AllOfTaskResources.md)
 - [AllocatedResources](docs/AllocatedResources.md)
 - [ApiGetJobResponse](docs/ApiGetJobResponse.md)
 - [ApiGetNodeResponse](docs/ApiGetNodeResponse.md)
 - [ApiGetVersionResponse](docs/ApiGetVersionResponse.md)
 - [ApiHTTPCredential](docs/ApiHTTPCredential.md)
 - [ApiListJobExecutionsResponse](docs/ApiListJobExecutionsResponse.md)
 - [ApiListJobHistoryResponse](docs/ApiListJobHistoryResponse.md)
 - [ApiListJobResultsResponse](docs/ApiListJobResultsResponse.md)
 - [ApiListJobsResponse](docs/ApiListJobsResponse.md)
 - [ApiListNodesResponse](docs/ApiListNodesResponse.md)
 - [ApiPutJobRequest](docs/ApiPutJobRequest.md)
 - [ApiPutJobResponse](docs/ApiPutJobResponse.md)
 - [ApiPutNodeRequest](docs/ApiPutNodeRequest.md)
 - [ApiPutNodeResponse](docs/ApiPutNodeResponse.md)
 - [ApiStopJobResponse](docs/ApiStopJobResponse.md)
 - [BuildVersionInfo](docs/BuildVersionInfo.md)
 - [ComputeNodeInfo](docs/ComputeNodeInfo.md)
 - [DebugInfo](docs/DebugInfo.md)
 - [Event](docs/Event.md)
 - [Execution](docs/Execution.md)
 - [ExecutionDesiredStateType](docs/ExecutionDesiredStateType.md)
 - [ExecutionStateType](docs/ExecutionStateType.md)
 - [FreeSpace](docs/FreeSpace.md)
 - [GPU](docs/GPU.md)
 - [GPUVendor](docs/GPUVendor.md)
 - [HealthInfo](docs/HealthInfo.md)
 - [InputSource](docs/InputSource.md)
 - [Job](docs/Job.md)
 - [JobHistory](docs/JobHistory.md)
 - [JobHistoryType](docs/JobHistoryType.md)
 - [JobStateType](docs/JobStateType.md)
 - [LabelSelectorRequirement](docs/LabelSelectorRequirement.md)
 - [MountStatus](docs/MountStatus.md)
 - [Network](docs/Network.md)
 - [NetworkConfig](docs/NetworkConfig.md)
 - [NodeConnectionState](docs/NodeConnectionState.md)
 - [NodeInfo](docs/NodeInfo.md)
 - [NodeMembershipState](docs/NodeMembershipState.md)
 - [NodeState](docs/NodeState.md)
 - [NodeType](docs/NodeType.md)
 - [Resources](docs/Resources.md)
 - [ResourcesConfig](docs/ResourcesConfig.md)
 - [ResultPath](docs/ResultPath.md)
 - [RunCommandResult](docs/RunCommandResult.md)
 - [SelectionOperator](docs/SelectionOperator.md)
 - [SharedVersionRequest](docs/SharedVersionRequest.md)
 - [SharedVersionResponse](docs/SharedVersionResponse.md)
 - [SpecConfig](docs/SpecConfig.md)
 - [StateChangeExecutionStateType](docs/StateChangeExecutionStateType.md)
 - [StateChangeJobStateType](docs/StateChangeJobStateType.md)
 - [StateExecutionDesiredStateType](docs/StateExecutionDesiredStateType.md)
 - [StateExecutionStateType](docs/StateExecutionStateType.md)
 - [StateJobStateType](docs/StateJobStateType.md)
 - [Task](docs/Task.md)
 - [TimeoutConfig](docs/TimeoutConfig.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author

team@bacalhau.org
